# Uses of Interface
org.apache.qpid.proton.engine.Handler

Packages that use Handler
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.engine
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of Handler in org.apache.qpid.proton

Methods in org.apache.qpid.proton with parameters of type Handler
Modifier and Type
Method
Description
`static Reactor`
Proton.`reactor(Handler... handlers)`
`static Reactor`
Proton.`reactor(ReactorOptions options, Handler... handlers)`

## Uses of Handler in org.apache.qpid.proton.engine

Subinterfaces of Handler in org.apache.qpid.proton.engine
Modifier and Type
Interface
Description
`interface`
`CoreHandler`
Classes in org.apache.qpid.proton.engine that implement Handler
Modifier and Type
Class
Description
`class`
`BaseHandler`
BaseHandler
Methods in org.apache.qpid.proton.engine that return Handler
Modifier and Type
Method
Description
`static Handler`
BaseHandler.`getHandler(Extendable ext)`
`static Handler`
BaseHandler.`getHandler(Record r)`
`Handler`
HandlerException.`getHandler()`
`Handler`
Event.`getRootHandler()`
The `Handler` at the root of the handler tree.
Methods in org.apache.qpid.proton.engine that return types with arguments of type Handler
Modifier and Type
Method
Description
`Iterator<Handler>`
BaseHandler.`children()`
`Iterator<Handler>`
Handler.`children()`
Methods in org.apache.qpid.proton.engine with parameters of type Handler
Modifier and Type
Method
Description
`void`
BaseHandler.`add(Handler child)`
`void`
Handler.`add(Handler child)`
`void`
Event.`dispatch(Handler handler)`
`void`
Event.`redispatch(EventType as_type, Handler handler)`
Synchronously redispatch the current event as a new `EventType` on the provided handler and it's children.
`static void`
BaseHandler.`setHandler(Extendable ext, Handler handler)`
`static void`
BaseHandler.`setHandler(Record r, Handler handler)`
Constructors in org.apache.qpid.proton.engine with parameters of type Handler
Modifier
Constructor
Description
``
`HandlerException(Handler handler, Throwable cause)`

## Uses of Handler in org.apache.qpid.proton.reactor

Classes in org.apache.qpid.proton.reactor that implement Handler
Modifier and Type
Class
Description
`class`
`FlowController`
A handler that applies flow control to a connection.
`class`
`Handshaker`
A handler that mirrors the actions of the remote end of a connection.
Methods in org.apache.qpid.proton.reactor that return Handler
Modifier and Type
Method
Description
`Handler`
Reactor.`getGlobalHandler()`
`Handler`
Reactor.`getHandler()`
Methods in org.apache.qpid.proton.reactor with parameters of type Handler
Modifier and Type
Method
Description
`Acceptor`
Reactor.`acceptor(String host, int port, Handler handler)`
Creates a new acceptor.
`Connection`
Reactor.`connection(Handler handler)`
Deprecated.
Use `Reactor.connectionToHost(String, int, Handler)` instead.
`Connection`
Reactor.`connectionToHost(String host, int port, Handler handler)`
Creates a new out-bound connection to the given host and port.
`Task`
Reactor.`schedule(int delay, Handler handler)`
Schedules execution of a task to take place at some point in the future.
`void`
Reactor.`setGlobalHandler(Handler handler)`
Sets a new global handler.
`void`
Reactor.`setHandler(Handler handler)`
Sets a new handler, that will receive any events not handled by a child of the reactor.

## Uses of Handler in org.apache.qpid.proton.reactor.impl

Classes in org.apache.qpid.proton.reactor.impl that implement Handler
Modifier and Type
Class
Description
`class`
`IOHandler`
Fields in org.apache.qpid.proton.reactor.impl with type parameters of type Handler
Modifier and Type
Field
Description
`static final ExtendableAccessor<Event,Handler>`
ReactorImpl.`ROOT`
Methods in org.apache.qpid.proton.reactor.impl that return Handler
Modifier and Type
Method
Description
`Handler`
ReactorImpl.`getGlobalHandler()`
`Handler`
ReactorImpl.`getHandler()`
Methods in org.apache.qpid.proton.reactor.impl with parameters of type Handler
Modifier and Type
Method
Description
`Acceptor`
ReactorImpl.`acceptor(String host, int port, Handler handler)`
`Connection`
ReactorImpl.`connection(Handler handler)`
`Connection`
ReactorImpl.`connectionToHost(String host, int port, Handler handler)`
`Task`
ReactorImpl.`schedule(int delay, Handler handler)`
`void`
ReactorImpl.`setGlobalHandler(Handler handler)`
`void`
ReactorImpl.`setHandler(Handler handler)`
Constructors in org.apache.qpid.proton.reactor.impl with parameters of type Handler
Modifier
Constructor
Description
`protected`
`AcceptorImpl(Reactor reactor, String host, int port, Handler handler)`